curl --request POST \
--url https://api.kajabi.com/v1/purchases/{id}/cancel_subscription \
--header 'Authorization: Bearer <token>'{
"data": {
"id": "<string>",
"type": "purchases",
"attributes": {
"amount_in_cents": 123,
"payment_type": "<string>",
"multipay_payments_made": 123,
"opt_in": true,
"raw_extra_contact_information": {},
"currency": "<string>",
"effective_start_at": "<string>",
"cardholder_name": "<string>",
"billing_address_zip": "<string>",
"deactivated_at": "<string>",
"deactivation_reason": "<string>",
"coupon_code": "<string>",
"source": "<string>",
"referrer": "<string>",
"quantity": 123,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
},
"relationships": {
"offer": {
"data": {
"id": "<string>",
"type": "<string>"
}
},
"customer": {
"data": {
"id": "<string>",
"type": "<string>"
}
},
"transactions": {
"data": [
{
"id": "<string>",
"type": "<string>"
}
]
},
"products": {
"data": [
{
"id": "<string>",
"type": "<string>"
}
]
}
}
},
"links": {
"self": "<string>",
"current": "<string>"
}
}Cancel the subscription associated with a purchase by ID
This endpoint cancels the underlying subscription (Stripe, PayPal, or Kajabi Payments) associated with the purchase. The purchase will be deactivated and the subscription will be cancelled immediately, according to the payment provider’s cancellation rules.
If the payment can be cancelled the response will be successful. Otherwise, the response will be an error with validation details.
curl --request POST \
--url https://api.kajabi.com/v1/purchases/{id}/cancel_subscription \
--header 'Authorization: Bearer <token>'{
"data": {
"id": "<string>",
"type": "purchases",
"attributes": {
"amount_in_cents": 123,
"payment_type": "<string>",
"multipay_payments_made": 123,
"opt_in": true,
"raw_extra_contact_information": {},
"currency": "<string>",
"effective_start_at": "<string>",
"cardholder_name": "<string>",
"billing_address_zip": "<string>",
"deactivated_at": "<string>",
"deactivation_reason": "<string>",
"coupon_code": "<string>",
"source": "<string>",
"referrer": "<string>",
"quantity": 123,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
},
"relationships": {
"offer": {
"data": {
"id": "<string>",
"type": "<string>"
}
},
"customer": {
"data": {
"id": "<string>",
"type": "<string>"
}
},
"transactions": {
"data": [
{
"id": "<string>",
"type": "<string>"
}
]
},
"products": {
"data": [
{
"id": "<string>",
"type": "<string>"
}
]
}
}
},
"links": {
"self": "<string>",
"current": "<string>"
}
}Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Purchase ID
Was this page helpful?